com.ibm.openpages.api.metadata

## Interface IEnumValue

- All Known Subinterfaces:
    IEnumAnswer

      public interface IEnumValue

  Represents elements of an enumeration.
  Category:
    MetaData

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getDescription()` Returns description of this enumerated value.
    `Id` | `getId()` Returns `Id` - unique identifier of the enum value.
    `int` | `getIndex()` Returns the index of the enum value.
    `java.lang.String` | `getLocalizedLabel()` Returns the localized name of the enum value.
    `java.util.Map<java.util.Locale,java.lang.String>` | `getLocalizedLabels()` Returns the map of the field definition name in every locale
    `java.lang.String` | `getName()` Returns the system name of the enum value.
    `Id` | `getParentId()` Returns the parenid for hierarchical `IEnumValue`s, or null.
    `java.lang.String` | `getParentName()` Returns the parent name for the hierarchical `IEnumValue`, or null.
    `boolean` | `isHidden()` Returns the the state of the Enum Value if hidden or not.

- - ### Method Detail

    - #### getId

          Id getId()

      Returns `Id` - unique identifier of the enum value.
      Returns:
        `Id` the unique identifier

    - #### getParentId

          Id getParentId()

      Returns the parenid for hierarchical `IEnumValue`s, or null.
      Returns:
        `Id` the unique parent identifier, if any

    - #### getParentName

          java.lang.String getParentName()

      Returns the parent name for the hierarchical `IEnumValue`, or null.
      Returns:

    - #### getName

          java.lang.String getName()

      Returns the system name of the enum value.
      Returns:
        the enum value system name as a string

    - #### getLocalizedLabel

          java.lang.String getLocalizedLabel()

      Returns the localized name of the enum value.
      Returns:
        the enum value localized name as a string

    - #### getDescription

          java.lang.String getDescription()

      Returns description of this enumerated value.
      Returns:

    - #### getLocalizedLabels

          java.util.Map<java.util.Locale,java.lang.String> getLocalizedLabels()

      Returns the map of the field definition name in every locale
      Returns:
        field definition name in every locale as a map whose key is locale and value is the name.

    - #### getIndex

          int getIndex()

      Returns the index of the enum value.
      Returns:
        the enum index value

    - #### isHidden

          boolean isHidden()

      Returns the the state of the Enum Value if hidden or not.
      Returns:
        true if the enum value is hidden. false if the enum value is not hidden.

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2021. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.